# $Revision: 1.9 $, $Date: 2002/01/06 05:03:36 $
Summary:	The Lout document formatting language
Summary(es):	Sistema de formateado de texto
Summary(pl):	Lout - jzyk formatowania dokumentw
Summary(pt_BR):	Sistema de formatao de texto
Name:		lout
Version:	3.25
Release:	1
License:	GPL
Group:		Applications/Publishing
Group(de):	Applikationen/Publizieren
Group(es):	Aplicaciones/Editoracin
Group(pl):	Aplikacje/Publikowanie
Group(pt_BR):	Aplicaes/Editorao
Source0:	ftp://ftp.cs.usyd.edu.au/jeff/lout/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
URL:		http://www.ptc.spbu.ru/~uwe/lout/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	lout-doc

%description
Lout is a high-level language for document formatting. Lout reads a
high-level description of a document (similar in style to LaTeX) and
can produce a PostScript(TM) file for printing or produce plain text.
Lout supports the typesetting of documents which contain floating
figures, table, diagrams, rotated and scaled text or graphics,
footnotes, running headers, footers, an index, a table of contents and
bibliography, cross-references, mathematical equations and statistical
graphs. Lout can be extended with definitions that should be easier to
write than other languages, since Lout is a high-level language. Lout
supports (with hyphenation) a variety of languages: Czech, Danish,
Dutch, English, Finnish, French, German, Norwegian, Russian,
Slovenian, Spanish and Swedish.

Install the lout package if you'd like to try the Lout document
formatting system. Unless you're already a Lout expert, you'll
probably want to also install the lout-doc package, which contains the
documentation for Lout.

%description -l es
El sistema lout lee una descripcin de altonivel de un documento
similar en estilo al LaTeX y produce un archivo PostScript, que puede
ser impreso en muchas impresoras laser y dispositivos grficos de
display. Tambin se encuentra disponible la salida en formato texto.
Lout ofrece muchas caractersticas avanzadas, incluyendo optimizacin
de saltos de prrafos y pginas, separacin automtica, inclusin y
creacin de archivos PsotScript EPS, formatos de ecuaciones, tablas,
grficos, rotacin y escalonamiento, ndices ordenados, banco de datos
bibliogrficos, documentos de mltiples idiomas que incluye separacin
(soporta la mayora de los idiomas europeos, incluso el ruso),
formatos de programas C/C++, y mucho ms. Todo listo para usar.

%description -l pl
Lout to jzyk wysokiego poziomu do formatowania dokumentw. Lout czyta
opis dokumentu (w stylu przypominajcym LaTeX) i moe wyprodukowa
plik PostScript(TM) do wydruku lub czysty tekst. Obsuguje skadanie
dokumentw zawierajcych rysunki, diagramy, obracany lub skalowany
tekst lub grafik, przypisy, nagwki, stopki, indeks, spis treci
oraz bibliografi, odnoniki, rwnania matematyczne i wykresy
statystyczne. Lout moe by rozszerzany przez definicje, co uatwia
pisane w stosunku do innych jzykw, poniewa Lout jest jzykiem
wysokiego poziomu. Lout wspiera (z dzieleniem wyrazw) wiele jzykw:
angielski, czeski, duski, fiski, francuski, hiszpaski, holenderski,
niemiecki, norweski, rosyjski, soweski i szwedzki.

%description -l pt_BR
O sistema lout l uma descrio de alto nvel de um documento similar
em estilo ao LaTeX e produz um arquivo PostScript, que pode ser
impresso em muitas impressoras laser e dispositivos grficos de
display. Sada em formato texto tambm esta disponvel. Lout oferece
muitas caractersticas avanadas, incluindo otimizao de quebras de
pargrafos e pginas, hifenizao automtica, incluso e gerao de
arquivos PostScript EPS, formatao de equaes, tabelas, diagramas,
rotao e escalamento, ndices ordenados, bancos de dados
bibliogrficos, headers e paginao par-mpar, referncia cruzada
automtica, documentos de mltiplos idiomas incluindo hifenizao (a
maioria dos idiomas europeus so suportados, inclusive russo),
formatao de programas C/C++, e muito mais, tudo pronto para usar.

%prep
%setup -q 
%patch0 -p1

%build
%{__make} lout prg2lout \
	COPTS="-ansi -pedantic -Wall %{rpmcflags}" \
	CC=%{__cc}

(cd doc/design; ../../lout -EPS -I ../../include -D../../data all -o ../../design.ps)
(cd doc/expert; ../../lout -EPS -I ../../include -D../../data all -o ../../expert.ps)
(cd doc/slides; ../../lout -EPS -I ../../include -D../../data all -o ../../slides.ps)
(cd doc/user; ../../lout -EPS -I ../../include -D../../data all -o ../../user.ps)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%{__make} install installman \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf blurb README maillist whatsnew notes.dsc *.ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%dir %{_libdir}/lout

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lout.spec,v $
Revision 1.9  2002/01/06 05:03:36  kloczek
- updated to 3.25 (bug fix release).

Revision 1.8  2001/12/06 04:46:19  kloczek
- merge translations from Conectiva,
- regenerate documentation (produce PS files),
- remove doc subpackage (added lout-doc to Obsoletes),
- som other cosmetics and simplifications.

Revision 1.7  2001/12/06 01:19:09  blues
- 3.24
- patches consolidated, fixed, rewriten....
- URL added, updated
- fixed files section

Revision 1.6  2001/12/05 09:32:13  qboosh
- adapterized, pl translations, cosmetics, gzip doc; release 8

Revision 1.5  2001/05/02 16:29:08  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- no more gcc on sparc, so don't optimize instead (same egcs bug?)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root
- use gcc on sparc to avoid egcs bug

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
